Package org.codehaus.groovy.runtime.dgmimpl.arrays

## Class FloatArrayGetAtMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
        - - org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayGetAtMetaMethod
          - - org.codehaus.groovy.runtime.dgmimpl.arrays.FloatArrayGetAtMetaMethod

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class FloatArrayGetAtMetaMethod
      extends ArrayGetAtMetaMethod

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

      `INTEGER_CLASS, INTEGER_CLASS_ARR`

    - ### Fields inherited from class groovy.lang.MetaMethod

      `EMPTY_ARRAY`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FloatArrayGetAtMetaMethod()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallSite` | `createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)` |
    `CachedClass` | `getDeclaringClass()` | Gets the class where this method is declared
    `java.lang.Class` | `getReturnType()` | Access the return type for this method
    `java.lang.Object` | `invoke​(java.lang.Object object, java.lang.Object[] args)` | Invoke this method

    - ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayGetAtMetaMethod

      `getName`

    - ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

      `getModifiers, normaliseIndex`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatArrayGetAtMetaMethod

          public FloatArrayGetAtMetaMethod()

  - ### Method Detail

    - #### getReturnType

          public java.lang.Class getReturnType()

      Description copied from class: `MetaMethod`
      Access the return type for this method
      Specified by:
        `getReturnType` in class `MetaMethod`
      Returns:
        the return type of this method

    - #### getDeclaringClass

          public final CachedClass getDeclaringClass()

      Description copied from class: `MetaMethod`
      Gets the class where this method is declared
      Specified by:
        `getDeclaringClass` in class `MetaMethod`
      Returns:
        class of this method

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object object,
                                         java.lang.Object[] args)

      Description copied from class: `MetaMethod`
      Invoke this method
      Specified by:
        `invoke` in class `MetaMethod`
      Parameters:
        `object` - The object this method should be invoked on
        `args` - The arguments for the method if applicable
      Returns:
        The return value of the invocation

    - #### createPojoCallSite

          public CallSite createPojoCallSite​(CallSite site,
                                             MetaClassImpl metaClass,
                                             MetaMethod metaMethod,
                                             java.lang.Class[] params,
                                             java.lang.Object receiver,
                                             java.lang.Object[] args)

      Specified by:
        `createPojoCallSite` in class `CallSiteAwareMetaMethod`